Announcement

Collapse
No announcement yet.

Imunify 360 not install on Plesk Obsidian

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • apb
    replied
    QuickPatch support for Ubuntu 20.04 and Debian 10 will be added as part of internal task DEF-15973
    For CentOS 8 the task id is DEF-14815

    No ETA is available at this moment for these tasks.

    Leave a comment:


  • apb
    replied
    Hi Alexandre,
    great news, thank you! SInce KernalCare caused Problems on Debian 10 for me, I think Ill go back to Ubuntu. Great news that youll support 20.04 with Imunify 360 soon.

    Any news on Quickpatch? I really like it in Ubuntu 18.04 LTS, but it doesnt install (Plesk) for Ubuntu 20.04 oder Debian 10. Any ETA for Quickpatch for Debian 10 and Ubuntu 20.04 LTS? Or integration of its functionality in imunify 360?

    I really like imunify 360, its great! Keep up the good work and thanks!

    Leave a comment:


  • apb
    replied
    Hi,

    Ubuntu 20.04 support will be added in Imunify360 beta ver 5.6 which is going to be released by the end of this week.

    Leave a comment:


  • apb
    replied
    Hello,
    Do you know when imunify360 will be compatible with plesk on ubuntu 20.04?

    Leave a comment:


  • apb
    replied
    Hi Rainer,

    The workaround for the error you specified is:

    Code:
    echo "deb [URL]http://ftp.debian.org/debian[/URL] buster-backports main" > /etc/apt/sources.list.d/backports.list
    
    apt-get update

    Leave a comment:


  • apb
    replied
    As I assured all that after learning that there was a solution to configure Imunify360 on my Debian 10 Plesk Server, when I leased a duplicate server, paid in advance for the next year I thought this would be an ideal time to setup again with Debian 10 and Plesk Web Pro ie.. Obsidian, and was determined to carefully follow the instructions that were provided to accomplish this feat, so I could enjoy the server configuration I wanted.
    Like so many before me, and surely after me, my following of instructions, were met with error responses adnausium, and after 3 solid hours of doing battle in ssh, I finally said the hell with it, deleted my server and loaded it back to centos 7 and Plesk Web Pro ie Obsidian and my 360 installed flawlessly.
    I messaged Cloud Linux back, thanking them for their assistance in this matter and reported that Id had no success in applying my interpretations of their instructions, Im not grandiose enough to blame the failed efforts on their instructions, but I am experienced enough to know that if I struggled with them, for as long as I have, and couldnt get past square one that 90% the other server admins are experiencing the near same outcomes.
    Why Imunify360 hasnt invested in the software coding upgrades that would make their product a 1st choice for server admins wanting to install Debian 10 OS on their servers is baffling to say the least. I did as Im sure a few thousand others have done and asked them to put me on a notification list if Imunify360 ever decide to release a compatible product, that wasnt such a pain in the arse to install.
    That or Debian releases a new OS and made modifications in their OS so that folks could go back to using it again, having been forced to chose between Imunify360 or not, and for me NOT was not an option. Imunify360 has been a godsend for myself, the job it does behind the scenes on my servers, by far surpasses any other like security suite in the industry and for a fraction of the cost.
    Ill retract my previous confident encouragements that others should boldly go where no man has gone before and attempt to make Imunify360 work on a Debian 10 Plesk server Best regards all.

    Leave a comment:


  • apb
    replied
    Unfortunately, the standard installer still fails: Installation daemon created pid file /usr/local/psa/var/modules/imunify360/installation.pid Installation daemon forked first time Installation daemon forked second time Installation daemon initialized Starting i360deploy.sh Detecting ostype... debian Checking for an update to i360deploy.sh Downloading i360deploy.sh.repo_version (please wait) i360deploy.sh is already the latest version (2.32) - continuing [2021-03-04 00:53:47] Reading package lists... [2021-03-04 00:53:47] E: The value buster-backports is invalid for APT:efault-Release as such a release is not available in the sources [2021-03-04 00:53:47] iptables >= 1.8.5 required on Debian 10

    Leave a comment:


  • apb
    replied
    No... the URL in source.list gives me a 404 error:
    https://bit.ly/3dNIfS1

    If there are any questions, so please dont hesitate to ask me. Thanks.

    With kind regards,
    Peter

    Leave a comment:


  • apb
    replied
    Hi everyone,

    Now, as Imunify360 5.5 is in stable, you can use standard installation procedure for Debian 10.

    Leave a comment:


  • apb
    replied
    -> https://talk.plesk.com/threads/the-r...e-file.359883/

    With kind regards,
    Peter

    Leave a comment:


  • apb
    replied
    Hi there!

    Same problem here after a FRESH Plesk 18.x installation on Debian 10. Please solve and notify me about the solution. Thanks.

    With best regards from Switzerland,
    Peter

    Leave a comment:


  • apb
    replied
    i jumped ship before the Cloud Linux arrived to the rescue and reverted to centos 7. Now knowing that by contacting Cloud Linux for support that the long awaited work around for Debian 10 is now available for Imunify360, I will backup my server when Im done configuring it and have all my websites transferred over and working, and then reinstall Debian 10 again and restore my server from the backup. I know its the long way home. I wish Id contacted Cloud Linux before pulling the pin on Debian 10 the first time around. Live and learn . If you want to keep Debian 10 and Imunify360 contact CloudLinux.com support, they are a great help and Im confident will help you through the process. Good Luck.

    Leave a comment:


  • apb
    replied
    Hello,
    I have exactly the same problem.
    I want to uninstall imunify360.
    I followed the procedure: https://docs.imunify360.com/uninstall/
    but this one does not work.
    Since this morning I have this error:
    Reason: 2021-02-22 06:25:19 INFO: pum is called with arguments: [--list, --repo-info, --json]
    2021-02-22 06:25:20 ERROR: E: The repository https://repo.imunify360.cloudlinux.c...y360/ubuntu/10 buster Release does not have a Release file.
    2021-02-22 06:25:20 ERROR: Exited with returncode 1.
    Cordially.

    Leave a comment:


  • apb
    replied
    Hi,

    Please follow the steps from the following article: https://blog.imunify360.com/release-...360-v.5.5-beta to be able to install it on Debian 10. This will install ver. 5.5 from beta.
    This version will be available from the stable feed by the end of Feb 2021.
    Ubuntu 20.04 support will be added in Imunify350 ver 5.6 - by the end of Feb 2021

    Leave a comment:


  • skhristich
    replied
    I am experiencing this same issue, Ive tried the patch but am still hitting a dead end message : Pre-install check failed: Debian 10.0 is not a supported OS " . I do not wish to replace my OS, very pleased with Debain 10 with Plesk Obsidian, fast, smooth, no glitches.
    You indicated that a solution was projected available 10 or 11 of 2020, however I can find no solution. Ive looked to Linux Code Kernels for support but do not find a solution there either, at least not as of this writing. I really appreciate the Imunify360, but if I cannot get it to work, what other server safeguard alternative would you recommend?

    Leave a comment:

Working...
X